<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBtObjectsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bt_objects
         */
        Schema::create('bt_objects', function ($table) {
            $table->increments('id');
            $table->integer('brand_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('attribute_id')->nullable();
            $table->integer('flights_id')->nullable();
            $table->string('title', 225)->nullable();
            $table->integer('stars')->nullable();
            $table->string('booking_link', 80)->nullable();
            $table->integer('duration')->nullable();
            $table->double('price', 12,10)->nullable();
            $table->enum('status', ['Online','Offline'])->nullable();
            $table->double('latitude', 12,10)->nullable();
            $table->double('longitude', 12,10)->nullable();
            $table->text('details')->nullable();
            $table->text('leisure_offers')->nullable();
            $table->text('our_privileges')->nullable();
            $table->text('images')->nullable();
            $table->text('videos')->nullable();
            $table->string('meta_title', 100)->nullable();
            $table->text('meta_description')->nullable();
            $table->string('meta_keywords', 100)->nullable();
            $table->string('slug', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bt_objects');
    }
}
