<?php

// web routes  for bt_object
Route::prefix('{guard}/object')->group(function () {
    Route::resource('bt_object', 'BtObjectResourceController');
});

// Public routes for bt_object
Route::get('objects/', 'BtObjectPublicController@index');
Route::get('objects/{slug?}', 'BtObjectPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BtObjectResourceController');
            });
            // Public routes for pages
            Route::get('objects/', 'BtObjectPublicController@index');
            Route::get('objects/{slug?}', 'BtObjectPublicController@show');
        }
    );
}

